|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QImage

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QImage class reference

### Public Functions

- QImage ( const QByteArray & data )
- void invertPixels ( bool invertAlpha )
- QImage smoothScale ( int width, int height, Qt::AspectRatioMode mode = Qt::IgnoreAspectRatio ) const
- QImage smoothScale ( const QSize & size, Qt::AspectRatioMode mode = Qt::IgnoreAspectRatio ) const
- QImage xForm ( const QMatrix & matrix ) const

- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QImage::QImage ( const QByteArray & data )

Use QImage::fromData(data) instead.

For example, if you have code like

        QByteArray data;
        ...
        QImage image(data);

you can rewrite it as

        QByteArray data;
        ...
        QImage image = QImage::fromData(data);

### void QImage::invertPixels ( bool invertAlpha )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use the invertPixels() function that takes a QImage::InvertMode parameter instead.

### QImage QImage::smoothScale ( int width, int height, Qt::AspectRatioMode mode = Qt::IgnoreAspectRatio ) const

Use scale(width, height, mode, Qt::SmoothTransformation) instead.

### QImage QImage::smoothScale ( const QSize & size, Qt::AspectRatioMode mode = Qt::IgnoreAspectRatio ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use scale(size, mode, Qt::SmoothTransformation) instead.

### QImage QImage::xForm ( const QMatrix & matrix ) const

Use transform(matrix) instead.